$(function () {
    // 为span元素绑定click事件
    $('span').bind("click", function () {
        var index = $(this).attr("id").substring(8);
        nativeGoSpecialSection(index)
        goSpecialSection("section_" + index)
    });
    // goSpecialSection("section_1")
    // fillSpecialSection("section_3", "你好啊")
    // refreshAllSection({ "section_1": "hello", "section_2": "tome", "section_5": "peter" })
})

var sectionIndex = 0

function updateSectionIndex(index) {
    this.sectionIndex = index;
}

function fillSpecialSection(sectionId, word) {
    $("#" + sectionId).text(word)
}

function nativeGoSpecialSection(index) {
    window.android.nativeGoSpecialSection(sectionIndex, parseInt(index))
    console.log("跳转:" + index)
}

function refreshAllSection(answers) {
    $("span").each(function () {
        var sId = $(this).attr("id")
        if (sId !== undefined) {
            if (answers[sId] !== undefined) {
                // 用户有作答
                $(this).text(answers[sId])
            } else {
                // 填充占位
                var index = sId.substring(8);
                $(this).html("&nbsp;&nbsp;" + index + "&nbsp;&nbsp;")
            }
        }
    })

}

function goSpecialSection(sectionId) {
    $("span").each(function () {
        if ($(this).attr("id") == sectionId) {
            if ($(this).hasClass("section")) {
                $(this).removeClass("section");
            }
            if (!$(this).hasClass("sectionSelected")) {
                $(this).addClass("sectionSelected");
            }
        } else {
            if ($(this).hasClass("sectionSelected")) {
                $(this).removeClass("sectionSelected");
            }

            if (!$(this).hasClass("section")) {
                $(this).addClass("section");
            }

        }
    })
}

function adjustToCenter(index) {
//    var section = $("#section_" + index)
//    $(".exam").animate({scrollTop:section.offsetTop},"slow");
     document.querySelector("#section_" + index).scrollIntoViewIfNeeded({ behavior: "smooth", block: "center", inline: "nearest" });
}